Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.jdbc.kernel
Class PreparedSQLStoreQuery

    java.lang.Object
      org.apache.openjpa.kernel.AbstractStoreQuery
          org.apache.openjpa.jdbc.kernel.SQLStoreQuery
              org.apache.openjpa.jdbc.kernel.PreparedSQLStoreQuery

All Implemented Interfaces:
  Serializable, QueryOperations, StoreQuery

    public class PreparedSQLStoreQuery

extends SQLStoreQuery

A executor for Prepared SQL Query.

Author:
  Pinaki Poddar
See Also:
  Serialized Form

Nested Class Summary
`static class` | `PreparedSQLStoreQuery.PreparedSQLExecutor` Executor of a prepared query uses the QueryExpressions of the original query available via the PreparedQuery.

Nested classes/interfaces inherited from class org.apache.openjpa.jdbc.kernel.SQLStoreQuery
`SQLStoreQuery.SQLExecutor`

Nested classes/interfaces inherited from class org.apache.openjpa.kernel.AbstractStoreQuery
`AbstractStoreQuery.AbstractExecutor`

Nested classes/interfaces inherited from interface org.apache.openjpa.kernel.StoreQuery
`StoreQuery.Executor, StoreQuery.Range`

Field Summary

Fields inherited from class org.apache.openjpa.kernel.AbstractStoreQuery
`ctx`

Fields inherited from interface org.apache.openjpa.kernel.StoreQuery
`EMPTY_BOOLEANS, EMPTY_CLASSES, EMPTY_METAS, EMPTY_OBJECTS, EMPTY_ORDERED_PARAMS, EMPTY_PARAMS, EMPTY_STRINGS`

Fields inherited from interface org.apache.openjpa.kernel.QueryOperations
`OP_DELETE, OP_SELECT, OP_UPDATE`

Constructor Summary
`PreparedSQLStoreQuery(JDBCStore store)`

Method Summary
`(package private) PreparedQueryImpl` | `getPreparedQuery()`
`StoreQuery.Executor` | `newDataStoreExecutor(ClassMetaData meta, boolean subclasses)` Return an executor for datastore execution of this query.
`boolean` | `setQuery(Object query)` This is invoked when the user or a facade creates a new query with an object that the system does not recognize.

Methods inherited from class org.apache.openjpa.jdbc.kernel.SQLStoreQuery
`getStore, requiresCandidateType, requiresParameterDeclarations, substituteParams, supportsDataStoreExecution, supportsParameterDeclarations`

Methods inherited from class org.apache.openjpa.kernel.AbstractStoreQuery
`evaluate, getAggregateListener, getCompilation, getContext, getFilterListener, invalidateCompilation, newCompilation, newCompilationKey, newInMemoryExecutor, populateFromCompilation, setContext, supportsAbstractExecutors, supportsInMemoryExecution`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PreparedSQLStoreQuery

    public PreparedSQLStoreQuery(JDBCStore store)

Method Detail

### newDataStoreExecutor

    public StoreQuery.Executor newDataStoreExecutor(ClassMetaData meta,
                                                    boolean subclasses)

  Description copied from interface: `StoreQuery`
  Return an executor for datastore execution of this query. Executors must be cachable and thread safe. If this class returns true from `StoreQuery.supportsAbstractExecutors()`, the given metadata will always be for the candidate class of this query, or possibly null if the candidate class is not itself persistence capable (like an interface or abstract base class). Otherwise, the given type will be a mapped class.

  Specified by:
    `newDataStoreExecutor` in interface `StoreQuery`
  Overrides:
    `newDataStoreExecutor` in class `SQLStoreQuery`
    `subclasses` - whether to include dependent mapped subclasses in the results; independent subclasses should never be included

### setQuery

    public boolean setQuery(Object query)

  Description copied from interface: `StoreQuery`
  This is invoked when the user or a facade creates a new query with an object that the system does not recognize. Return true if the object is recognized by the store, false otherwise.

  Specified by:
    `setQuery` in interface `StoreQuery`
  Overrides:
    `setQuery` in class `AbstractStoreQuery`

### getPreparedQuery

    PreparedQueryImpl getPreparedQuery()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.